Skip to main content

Download the AML Database

GET 

https://api.dilisense.com/v1/getConsolidatedFile

The getConsolidatedFile API method returns the AML Database in JSON Lines format and consists of the same attributes as described in the AML Screening API Service: every line is one AmlRecord, without list_date.

Additionally the file-version is provided in the header which can be stored in order to call the getConsolidatedDelta endpoint.

Request​

Example request​

curl --location --request GET 'https://api.dilisense.com/v1/getConsolidatedFile' \
--header 'x-api-key: <api_key>'

Responses​

The AML Database as JSON Lines, one record per line.

Response Headers
    File-Version

    The file-version, store it to call getConsolidatedDelta with it as previous next time.

Error responses are the same for all endpoints, see Errors.